Forum Post
Index > Scribe > V2 crashing - every time

Author/Date V2 crashing - every time
Iain
18/04/2010 12:13pm
1.88 works as well as it ever did, but beta 22, beta 23 and 23 debug all crash when running against the same mailbox.

One frequent error message is "Assert failed, file: H:\Code\Scribe-Branches\v2.00\Code\ScribeFilter.cpp, line: 2585"

Of course I don't have an H: drive, let alone a folder called "Code" in it.

Not sure if it is connected, but all my filter conditions seem to have been wiped out.
Iain
18/04/2010 12:15pm
Forgot a few details! Running the version from inscribe-win32-v2.0.b23-debug.zip on Windows 7 64bit on 4GB ram
fret
18/04/2010 10:09pm
Ok that assert is due to missed content in the filter, when it tries to evaluate the filter and there is no conditions it throws that assert. This is most likely because the filters didn't upgrade correctly between versions of Scribe. The old system used a list of condition objects, the new system embeds a XML string instead. So I'll look at that.

I'm currently looking at a crash in v2 that might be related to what your seeing. Is there some reason you're running the debug build? Thats for debugging specific issues, not general use.

If you can produce a crash dump file from this build:
http://memecode.com/inscribe/inscribe-win32-v2.0.b23-bug269-1.zip
then I could have a look at the address and see if it's the same as the existing report.
Iain
19/04/2010 9:55am
I'll give that a try. The reason to use the debug version was simply that the beta 23 crashed, so I thought I'd try the other version.
Iain
19/04/2010 10:09am
Unfortunately, it doesn't appear to produce a crashdata.txt file. It crashes, I click Debug, and it waits a few seconds before Windows 7 pops up a dialog saying "scribe has stopped working".
Iain
19/04/2010 10:22am
More info: I made a copy of the mailbox, then opened it in the latest debug version. It crashed as usual.

I then opened it in the old version (1.90) which works fine. I used that to delete all the filter rules (the delete option is marked <error> by the way).

Then the new debug version ran just fine - so clearly the problem IS related to to how the filters are imported.
Iain
19/04/2010 10:51am
I've now managed to get 2.0 b23 to stay up long enough to be able to upgrade the mailbox and that seems to have resolved the problem. It took a while to convert it, and longer while to count the messages in some folders, but now t seems to be working fine on a mil3 mailbox, including filters.
Iain
19/04/2010 12:07pm
I spoke too soon. The filters have all lost all their conditions again.
fret
19/04/2010 12:38pm
The conditions don't get converted by the version you have, but I just fixed it today. Looks like your crash is different to the one I fixed for Bug 269 so I'll have to look at that separately... seeing as you have so nicely narrowed it down to the filters I'll try upgrading some and see what happens.
Iain
19/04/2010 1:34pm
I've just realised that I can no longer send email. It greys out for a few seconds before Windows 7 tells me it has stopped working. Then the message I was trying to send is sitting in the outbox.
fret
20/04/2010 12:40am
Do you mean that it crashes?

Does it generate a crash dump file in the Scribe folder?
Iain
20/04/2010 8:26am
I'm not sure what was happening. The problem resolved itself - I'm not aware of changing anything.

I've gone back to running the 16th April Beta 23, which seemed to be working OK until now: it is crashing again each time.
Iain
20/04/2010 8:31am
The crash was coming whenever it fetched email - crashing after moving the message to the relevant folder, but before deleting the message from the server.

I've tried switching to b23 debug, but I have to wait till another message arrives - the notification of this message will do!
Iain
20/04/2010 8:33am
No, it crashed as ever (in this version I got the usual H:\ drive error), but didn't create a report file
Iain
24/04/2010 8:12pm
Beta 24 seems to deal with filters just fine. But it has caused a new problem: I can no longer send mail. It just hangs when I try.
Iain
26/04/2010 9:13am
It was also crashing from time to time. I've gone back to 1.9. Pity I have to switch between text and html view to see different emails, but at least it works!

Iain
Iain
26/04/2010 1:59pm
Today, I thought I'd give 2.0 b24 another go. and of course it is working just fine today! This is on a mail2 box, so it can share with 1.90 on its 'off' days!
fret
27/04/2010 12:22pm
Three things for you to do:

1) To generate useful crash dumps you need DbgHelp.dll installed somewhere in your system. So download that and put it in your Scribe folder(s).

2) When you say that sending "hangs", can you describe exactly what that means? Does the entire UI freeze and not allow you to click anything? Or does the sending process seem to get stuck at some point and never complete? There are 2 separate things, and would give me some idea which thread is getting stuck.

3) Now I found a crash today in the HTML code, which made me think of this thread where you mentioned something along those lines. So I've fixed that and posted a build here for you to try. I'm not sure if all your issues with crashes stem from one problem or many. But I'll try and address them as they come up.
Iain
27/04/2010 3:10pm
The "hang" is that the application greys out and nothing happens. Eventually Windows 7 opens a dialog box saying that the application has gone wrong (I forget the exact wording, but it isn't that) and then Scribe shuts down.

I'll put the DLLs in place and try the new build
Iain
28/04/2010 8:54am
I've managed to collect a debug text file when it crashes.

The error on screen is that Scribe "greys out" and a dialog box opns to say something like:

"Scribe has stopped working
Windows is searching for a solution to the problem"

then a bit later, a different one appears saying:

"Scribe has stopped working
A problem caused the program to stop working correctly.
Windows will close the program and notify you if a solution is available."

I have the crash text file available, but it is far too big to paste in here. It zips to about 14k. Shall I raise a bug report and attach it?
fret
28/04/2010 9:03am
Excellent idea Watson!
Iain
06/05/2010 1:25pm
Is there any progress on this? It still randomly falls over when I try to send email.
Fret
06/05/2010 9:57pm
The current situation is that I've found I can't use crash dumps to debug crashes anyway. Visual studio 2008 fails to load the symbols and give me a stack trace. So I'm currently investigating building scribe with vc2010 express in the hope that I can get working crash dumps. But converting to a new compiler takes time and I'm currently away from my pc till next week.
fret
13/05/2010 12:33am
I've got the program building in VS2010, so hopefully I can now debug crash dumps correctly. I spent the last week making that happen. Will keep you posted when I have something for you to try. (yeah I am still working at this)
fret
14/05/2010 12:45pm
Pls try crashing this build.

I've rebuild the software using Visual Studio 2010, which SHOULD mean I can generate and use crash dumps. Or that's the theory at least. Let me know if it outputs a xxxxxxx-crash.dmp file at all.
Iain
17/05/2010 3:00pm
So far, the only time this build (beta 25, 14 May) has crashed has been when I switched on the HTML edit option - which I'd not use anyway! At that point, it complained about not being able to create a debug file, so maybe it's as well I can't crash it in normal use!

It's proved so reliable that I'm thinking about whether to migrate my mailbox to v3
Iain
18/05/2010 9:11am
Spoke too soon! I added a new condition to an existing filter and inscribe crashed. It said it couldn't create the debug file either. Then when it restarted, it re-downloaded the last few emails - but the new filter condition was there!
Iain
18/05/2010 12:28pm
And since that crash, it has redownloaded the messages over and over and over again.

I've given up and gone back to 1.90
Iain
18/05/2010 2:10pm
1.90 doesn't fix the problem either. Each time, the emails are downloaded again. Next step is to work out how to export my mailbox to a different format, I'm afraid.
fret
19/05/2010 12:48am
When it crashed it would be helpful to know the exact message it gave you. (It might've been written to the Scribe.txt file)

Do you have the file 'dbghelp.dll' in your scribe folder? Or elsewhere on your system?

The downloading messages again thing is due to corrupted options I think. At this stage I'm only guessing as to why that happens, because it hasn't happened to me at all. If you're willing to send me your options file it would be useful to see where it's going wrong. You may want to remove any sensitive passwords before sending of course. I'm particularly interested in whether the Messages element is intact or not (it lives under the Account-'n' element).

It's so frustrating I know... but it seriously works really well on my machine.
fret
19/05/2010 12:52am
There are 3 possible error messages that mean a crash dump couldn't be written:
- This application has crashed. MiniDumpWriteDump failed with %i
- This application has crashed. Can't find 'dbghelp.dll' either.
- This application has crashed. Can't open mini dump file either.

If you can remember which you saw it'd help me.
Iain
19/05/2010 8:27am
It only appeared for a moment, but I'm pretty sure it was

This application has crashed. Can't open mini dump file either.
Iain
19/05/2010 8:50am
Yes dbghelp.dll is in the same place as scribe.exe

I solved the re-downloading of messages by deleting most of them (mostly spam) from the server using a webmail client - I suspect that the problem was related to one of the spams.

The ScribeOptions.xml file lives in a different folder - where the original installation of scribe.exe went. I've copied it to the new location to see what effect that has. But neither file seems to get updated if I make changes.
Iain
19/05/2010 8:54am
The only reference to messages in the file is the single line

<Messages />

under each of the two accounts. But the file has a date of 27 April, so hasn't been updated for a while.
fret
19/05/2010 10:34pm
This application has crashed. Can't open mini dump file either.

If you open your Scribe.txt file and search for "GApp::_ExceptionFilter, Crash dump path" or similar, that should list the path the exception handler is trying to write to (and failing). It should be in the same folder as your Scribe.exe, the only reasons I can think of for that to fail are it's read only... or that drive is out of space... :(

The ScribeOptions.xml file lives in a different folder

Sounds like it's updating a ScribeOptions.xml that you don't know about. There are 3 places Scribe can get the path to the options file... a) the command line, b) the same folder as Scribe.exe or c) the registry (HKEY_CURRENT_USER\Software\Memecode\Scribe). Maybe it's updating a options file that has the wrong options set or is corrupted? Scribe will write the options file as soon as you click Ok on the options dialog... so you can test whether it's using a particular options file by watching the modified date in Explorer.

Iain
20/05/2010 10:42am
On 19/5/2010 23:34:46 you wrote:

> It should be in the same folder as your
> Scribe.exe, the only reasons I can think of for that to fail are it's read
> only... or that drive is out of space... :(

It is in c:\Users\Username\AppData\Local\VirtualStore\Program Files (x86)\Memecode\Scribe\ and it is over 5MB

But there is no mention of Crash, or Exception

I did find

GView::~GView 023DFE64
Crashed instance 4644
GView::~GView 0018F638


I also found lots of things like
H:\Code\Lgi\src\common\Gdc2\Filters\GFilter.cpp:1690 (No H: drive here)

and

GSemaphore=00B02E88(GOptionsFile): Can't lock after 5015ms... LockingThread=2488 ThisThread=924 Count=1 Locker=H:\Code\Lgi\src\common\Lgi\GOptionsFile.cpp:61.

The application is in c:\Program Files (x86)\Memecode\Scribe\

> The ScribeOptions.xml file
> lives in a different folder Sounds like it's updating a
> ScribeOptions.xml that you don't know about.

Found that too! Also in c:\Users\Username\AppData\Local\VirtualStore\Program Files (x86)\Memecode\Scribe
Reply